# Method: customers.adsDataLinks.batchApprove

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.BatchApproveAdsDataLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks/batchApprove#body.aspect)

Approve a list of pending ads data links.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{parent=customers/*}/adsDataLinks:batchApprove`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent customer resource name, e.g. 'customers/123'. All links to approve must be under this customer. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. The resource names of the links to approve. A maximum of 100 links can be approved in a batch. |

### Response body

Response to a BatchUpdateAdsDataLinks request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "links": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks#AdsDataLink`) } ] } ``` |

| Fields ||
|---|---|
| `links[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks#AdsDataLink`)`` Links updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`